WinNT
Date: 2010-04-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jna.platform.win32
Class WinNT

    java.lang.Object
      com.sun.jna.platform.win32.WinNT

    public abstract class WinNT

extends java.lang.Object

This module defines the 32-Bit Windows types and constants that are defined by NT, but exposed through the Win32 API. Ported from WinNT.h.

Nested Class Summary
`static class` | `WinNT.FILE_NOTIFY_INFORMATION` The FILE_NOTIFY_INFORMATION structure describes the changes found by the ReadDirectoryChangesW function.
`static class` | `WinNT.LARGE_INTEGER` A 64-bit integer; TODO: this should be a union and allow direct 64-bit integer access.
`static class` | `WinNT.LUID` A 64-bit value that is guaranteed to be unique on the operating system that generated it until the system is restarted.
`static class` | `WinNT.PSID`
`static class` | `WinNT.PSIDByReference`
`class` | `WinNT.SECURITY_ATTRIBUTES`
`class` | `WinNT.SECURITY_IMPERSONATION_LEVEL` The SECURITY_IMPERSONATION_LEVEL enumeration type contains values that specify security impersonation levels.
`static class` | `WinNT.SID_AND_ATTRIBUTES` The SID_AND_ATTRIBUTES structure represents a security identifier (SID) and its attributes.
`class` | `WinNT.SID_NAME_USE` The SID_NAME_USE enumeration type contains values that specify the type of a security identifier (SID).
`static class` | `WinNT.TOKEN_GROUPS` The TOKEN_GROUPS structure contains information about the group security identifiers (SIDs) in an access token.
`class` | `WinNT.TOKEN_INFORMATION_CLASS` The TOKEN_INFORMATION_CLASS enumeration type contains values that specify the type of information being assigned to or retrieved from an access token.
`static class` | `WinNT.TOKEN_OWNER` The TOKEN_OWNER structure contains the default owner security identifier (SID) that will be applied to newly created objects.
`static class` | `WinNT.TOKEN_USER` The TOKEN_USER structure identifies the user associated with an access token.

Field Summary
`static int` | `CREATE_ALWAYS`
`static int` | `CREATE_NEW`
`static int` | `DELETE`
`static int` | `FILE_ACTION_ADDED`
`static int` | `FILE_ACTION_MODIFIED`
`static int` | `FILE_ACTION_REMOVED`
`static int` | `FILE_ACTION_RENAMED_NEW_NAME`
`static int` | `FILE_ACTION_RENAMED_OLD_NAME`
`static int` | `FILE_ATTRIBUTE_ARCHIVE`
`static int` | `FILE_ATTRIBUTE_COMPRESSED`
`static int` | `FILE_ATTRIBUTE_DEVICE`
`static int` | `FILE_ATTRIBUTE_DIRECTORY`
`static int` | `FILE_ATTRIBUTE_ENCRYPTED`
`static int` | `FILE_ATTRIBUTE_HIDDEN`
`static int` | `FILE_ATTRIBUTE_NORMAL`
`static int` | `FILE_ATTRIBUTE_NOT_CONTENT_INDEXED`
`static int` | `FILE_ATTRIBUTE_OFFLINE`
`static int` | `FILE_ATTRIBUTE_READONLY`
`static int` | `FILE_ATTRIBUTE_REPARSE_POINT`
`static int` | `FILE_ATTRIBUTE_SPARSE_FILE`
`static int` | `FILE_ATTRIBUTE_SYSTEM`
`static int` | `FILE_ATTRIBUTE_TEMPORARY`
`static int` | `FILE_ATTRIBUTE_VIRTUAL`
`static int` | `FILE_CASE_PRESERVED_NAMES`
`static int` | `FILE_CASE_SENSITIVE_SEARCH`
`static int` | `FILE_FILE_COMPRESSION`
`static int` | `FILE_FLAG_BACKUP_SEMANTICS`
`static int` | `FILE_FLAG_DELETE_ON_CLOSE`
`static int` | `FILE_FLAG_NO_BUFFERING`
`static int` | `FILE_FLAG_OPEN_NO_RECALL`
`static int` | `FILE_FLAG_OPEN_REPARSE_POINT`
`static int` | `FILE_FLAG_OVERLAPPED`
`static int` | `FILE_FLAG_POSIX_SEMANTICS`
`static int` | `FILE_FLAG_RANDOM_ACCESS`
`static int` | `FILE_FLAG_SEQUENTIAL_SCAN`
`static int` | `FILE_FLAG_WRITE_THROUGH`
`static int` | `FILE_LIST_DIRECTORY`
`static int` | `FILE_NAMED_STREAMS`
`static int` | `FILE_NOTIFY_CHANGE_ATTRIBUTES`
`static int` | `FILE_NOTIFY_CHANGE_CREATION`
`static int` | `FILE_NOTIFY_CHANGE_DIR_NAME`
`static int` | `FILE_NOTIFY_CHANGE_FILE_NAME`
`static int` | `FILE_NOTIFY_CHANGE_LAST_ACCESS`
`static int` | `FILE_NOTIFY_CHANGE_LAST_WRITE`
`static int` | `FILE_NOTIFY_CHANGE_NAME`
`static int` | `FILE_NOTIFY_CHANGE_SECURITY`
`static int` | `FILE_NOTIFY_CHANGE_SIZE`
`static int` | `FILE_PERSISTENT_ACLS`
`static int` | `FILE_READ_ONLY_VOLUME`
`static int` | `FILE_SEQUENTIAL_WRITE_ONCE`
`static int` | `FILE_SHARE_DELETE`
`static int` | `FILE_SHARE_READ`
`static int` | `FILE_SHARE_WRITE`
`static int` | `FILE_SUPPORTS_ENCRYPTION`
`static int` | `FILE_SUPPORTS_OBJECT_IDS`
`static int` | `FILE_SUPPORTS_REMOTE_STORAGE`
`static int` | `FILE_SUPPORTS_REPARSE_POINTS`
`static int` | `FILE_SUPPORTS_SPARSE_FILES`
`static int` | `FILE_SUPPORTS_TRANSACTIONS`
`static int` | `FILE_UNICODE_ON_DISK`
`static int` | `FILE_VOLUME_IS_COMPRESSED`
`static int` | `FILE_VOLUME_QUOTAS`
`static int` | `GENERIC_WRITE`
`static int` | `KEY_ALL_ACCESS`
`static int` | `KEY_CREATE_LINK`
`static int` | `KEY_CREATE_SUB_KEY`
`static int` | `KEY_ENUMERATE_SUB_KEYS`
`static int` | `KEY_EXECUTE`
`static int` | `KEY_NOTIFY`
`static int` | `KEY_QUERY_VALUE` Registry options.
`static int` | `KEY_READ`
`static int` | `KEY_SET_VALUE`
`static int` | `KEY_WOW64_32KEY`
`static int` | `KEY_WOW64_64KEY`
`static int` | `KEY_WOW64_RES`
`static int` | `KEY_WRITE`
`static int` | `OPEN_ALWAYS`
`static int` | `OPEN_EXISTING`
`static int` | `PAGE_EXECUTE`
`static int` | `PAGE_EXECUTE_READ`
`static int` | `PAGE_EXECUTE_READWRITE`
`static int` | `PAGE_READONLY`
`static int` | `PAGE_READWRITE`
`static int` | `PAGE_WRITECOPY`
`static int` | `READ_CONTROL`
`static int` | `REG_APP_HIVE` Loads the hive visible to the calling process.
`static int` | `REG_BINARY` Free-formed binary.
`static int` | `REG_CREATED_NEW_KEY` New Registry Key created.
`static int` | `REG_DWORD` 32-bit number.
`static int` | `REG_DWORD_BIG_ENDIAN` 32-bit number.
`static int` | `REG_DWORD_LITTLE_ENDIAN` 32-bit number, same as REG_DWORD.
`static int` | `REG_EXPAND_SZ` Unicode null-terminated string with environment variable references.
`static int` | `REG_FORCE_RESTORE` Force the restore process even when we have open handles on subkeys.
`static int` | `REG_FORCE_UNLOAD`
`static int` | `REG_FULL_RESOURCE_DESCRIPTOR` Resource list in the hardware description.
`static int` | `REG_HIVE_EXACT_FILE_GROWTH` Grow hive file in exact 4k increments.
`static int` | `REG_HIVE_NO_RM` No RM is started for this hive = no transactions.
`static int` | `REG_HIVE_SINGLE_LOG` Legacy single logging is used for this hive.
`static int` | `REG_LATEST_FORMAT`
`static int` | `REG_LEGAL_CHANGE_FILTER`
`static int` | `REG_LEGAL_OPTION`
`static int` | `REG_LINK` Symbolic link (unicode).
`static int` | `REG_MULTI_SZ` Multiple unicode strings.
`static int` | `REG_NO_COMPRESSION`
`static int` | `REG_NO_LAZY_FLUSH` Never lazy flush this hive.
`static int` | `REG_NONE` No value type.
`static int` | `REG_NOTIFY_CHANGE_ATTRIBUTES`
`static int` | `REG_NOTIFY_CHANGE_LAST_SET`
`static int` | `REG_NOTIFY_CHANGE_NAME`
`static int` | `REG_NOTIFY_CHANGE_SECURITY`
`static int` | `REG_OPENED_EXISTING_KEY` Existing Key opened.
`static int` | `REG_OPTION_BACKUP_RESTORE` Open for backup or restore special access rules privilege required.
`static int` | `REG_OPTION_CREATE_LINK` Created key is a symbolic link.
`static int` | `REG_OPTION_NON_VOLATILE` Key is preserved when system is rebooted.
`static int` | `REG_OPTION_OPEN_LINK` Open symbolic link.
`static int` | `REG_OPTION_RESERVED` Parameter is reserved.
`static int` | `REG_OPTION_VOLATILE` Key is not preserved when system is rebooted.
`static int` | `REG_PROCESS_PRIVATE` Hive cannot be mounted by any other process while in use.
`static int` | `REG_QWORD` 64-bit number.
`static int` | `REG_QWORD_LITTLE_ENDIAN` 64-bit number, same as REG_QWORD.
`static int` | `REG_REFRESH_HIVE` Unwind changes to last flush.
`static int` | `REG_RESOURCE_LIST` Resource list in the resource map.
`static int` | `REG_RESOURCE_REQUIREMENTS_LIST`
`static int` | `REG_STANDARD_FORMAT`
`static int` | `REG_START_JOURNAL` Starts Hive Journal.
`static int` | `REG_SZ` Unicode null-terminated string.
`static int` | `REG_WHOLE_HIVE_VOLATILE` Restore whole hive volatile.
`static int` | `SECTION_EXTEND_SIZE`
`static int` | `SECTION_MAP_EXECUTE`
`static int` | `SECTION_MAP_READ`
`static int` | `SECTION_MAP_WRITE`
`static int` | `SECTION_QUERY`
`static int` | `SPECIFIC_RIGHTS_ALL`
`static int` | `STANDARD_RIGHTS_ALL`
`static int` | `STANDARD_RIGHTS_EXECUTE`
`static int` | `STANDARD_RIGHTS_READ`
`static int` | `STANDARD_RIGHTS_REQUIRED`
`static int` | `STANDARD_RIGHTS_WRITE`
`static int` | `SYNCHRONIZE`
`static int` | `THREAD_ALL_ACCESS`
`static int` | `THREAD_DIRECT_IMPERSONATION`
`static int` | `THREAD_GET_CONTEXT`
`static int` | `THREAD_IMPERSONATE`
`static int` | `THREAD_QUERY_INFORMATION`
`static int` | `THREAD_QUERY_LIMITED_INFORMATION`
`static int` | `THREAD_SET_CONTEXT`
`static int` | `THREAD_SET_INFORMATION`
`static int` | `THREAD_SET_LIMITED_INFORMATION`
`static int` | `THREAD_SET_THREAD_TOKEN`
`static int` | `THREAD_SUSPEND_RESUME`
`static int` | `THREAD_TERMINATE`
`static int` | `TOKEN_ADJUST_DEFAULT` Required to change the default owner, primary group, or DACL of an access token.
`static int` | `TOKEN_ADJUST_GROUPS` Required to adjust the attributes of the groups in an access token.
`static int` | `TOKEN_ADJUST_PRIVILEGES` Required to enable or disable the privileges in an access token.
`static int` | `TOKEN_ADJUST_SESSIONID` Required to adjust the session ID of an access token.
`static int` | `TOKEN_ALL_ACCESS` Combines all possible access rights for a token.
`static int` | `TOKEN_ALL_ACCESS_P`
`static int` | `TOKEN_ASSIGN_PRIMARY` Required to attach a primary token to a process.
`static int` | `TOKEN_DUPLICATE` Required to duplicate an access token.
`static int` | `TOKEN_EXECUTE` Combines STANDARD_RIGHTS_EXECUTE and TOKEN_IMPERSONATE.
`static int` | `TOKEN_IMPERSONATE` Required to attach an impersonation access token to a process.
`static int` | `TOKEN_QUERY` Required to query an access token.
`static int` | `TOKEN_QUERY_SOURCE` Required to query the source of an access token.
`static int` | `TOKEN_READ` Combines STANDARD_RIGHTS_READ and TOKEN_QUERY.
`static int` | `TOKEN_WRITE` Combines STANDARD_RIGHTS_WRITE, TOKEN_ADJUST_PRIVILEGES, TOKEN_ADJUST_GROUPS, and TOKEN_ADJUST_DEFAULT.
`static int` | `TRUNCATE_EXISTING`
`static int` | `WRITE_DAC`
`static int` | `WRITE_OWNER`

Constructor Summary
`WinNT()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DELETE

    public static final int DELETE

See Also:
  Constant Field Values

### READ_CONTROL

    public static final int READ_CONTROL

See Also:
  Constant Field Values

### WRITE_DAC

    public static final int WRITE_DAC

See Also:
  Constant Field Values

### WRITE_OWNER

    public static final int WRITE_OWNER

See Also:
  Constant Field Values

### SYNCHRONIZE

    public static final int SYNCHRONIZE

See Also:
  Constant Field Values

### STANDARD_RIGHTS_REQUIRED

    public static final int STANDARD_RIGHTS_REQUIRED

See Also:
  Constant Field Values

### STANDARD_RIGHTS_READ

    public static final int STANDARD_RIGHTS_READ

See Also:
  Constant Field Values

### STANDARD_RIGHTS_WRITE

    public static final int STANDARD_RIGHTS_WRITE

See Also:
  Constant Field Values

### STANDARD_RIGHTS_EXECUTE

    public static final int STANDARD_RIGHTS_EXECUTE

See Also:
  Constant Field Values

### STANDARD_RIGHTS_ALL

    public static final int STANDARD_RIGHTS_ALL

See Also:
  Constant Field Values

### SPECIFIC_RIGHTS_ALL

    public static final int SPECIFIC_RIGHTS_ALL

See Also:
  Constant Field Values

### TOKEN_ASSIGN_PRIMARY

    public static final int TOKEN_ASSIGN_PRIMARY

  Required to attach a primary token to a process. The SE_ASSIGNPRIMARYTOKEN_NAME privilege is also required to accomplish this task.

  See Also:
    Constant Field Values

### TOKEN_DUPLICATE

    public static final int TOKEN_DUPLICATE

  Required to duplicate an access token.

  See Also:
    Constant Field Values

### TOKEN_IMPERSONATE

    public static final int TOKEN_IMPERSONATE

  Required to attach an impersonation access token to a process.

  See Also:
    Constant Field Values

### TOKEN_QUERY

    public static final int TOKEN_QUERY

  Required to query an access token.

  See Also:
    Constant Field Values

### TOKEN_QUERY_SOURCE

    public static final int TOKEN_QUERY_SOURCE

  Required to query the source of an access token.

  See Also:
    Constant Field Values

### TOKEN_ADJUST_PRIVILEGES

    public static final int TOKEN_ADJUST_PRIVILEGES

  Required to enable or disable the privileges in an access token.

  See Also:
    Constant Field Values

### TOKEN_ADJUST_GROUPS

    public static final int TOKEN_ADJUST_GROUPS

  Required to adjust the attributes of the groups in an access token.

  See Also:
    Constant Field Values

### TOKEN_ADJUST_DEFAULT

    public static final int TOKEN_ADJUST_DEFAULT

  Required to change the default owner, primary group, or DACL of an access token.

  See Also:
    Constant Field Values

### TOKEN_ADJUST_SESSIONID

    public static final int TOKEN_ADJUST_SESSIONID

  Required to adjust the session ID of an access token. The SE_TCB_NAME privilege is required.

  See Also:
    Constant Field Values

### TOKEN_ALL_ACCESS_P

    public static final int TOKEN_ALL_ACCESS_P

See Also:
  Constant Field Values

### TOKEN_ALL_ACCESS

    public static final int TOKEN_ALL_ACCESS

  Combines all possible access rights for a token.

  See Also:
    Constant Field Values

### TOKEN_READ

    public static final int TOKEN_READ

  Combines STANDARD_RIGHTS_READ and TOKEN_QUERY.

  See Also:
    Constant Field Values

### TOKEN_WRITE

    public static final int TOKEN_WRITE

  Combines STANDARD_RIGHTS_WRITE, TOKEN_ADJUST_PRIVILEGES, TOKEN_ADJUST_GROUPS, and TOKEN_ADJUST_DEFAULT.

  See Also:
    Constant Field Values

### TOKEN_EXECUTE

    public static final int TOKEN_EXECUTE

  Combines STANDARD_RIGHTS_EXECUTE and TOKEN_IMPERSONATE.

  See Also:
    Constant Field Values

### THREAD_TERMINATE

    public static final int THREAD_TERMINATE

See Also:
  Constant Field Values

### THREAD_SUSPEND_RESUME

    public static final int THREAD_SUSPEND_RESUME

See Also:
  Constant Field Values

### THREAD_GET_CONTEXT

    public static final int THREAD_GET_CONTEXT

See Also:
  Constant Field Values

### THREAD_SET_CONTEXT

    public static final int THREAD_SET_CONTEXT

See Also:
  Constant Field Values

### THREAD_QUERY_INFORMATION

    public static final int THREAD_QUERY_INFORMATION

See Also:
  Constant Field Values

### THREAD_SET_INFORMATION

    public static final int THREAD_SET_INFORMATION

See Also:
  Constant Field Values

### THREAD_SET_THREAD_TOKEN

    public static final int THREAD_SET_THREAD_TOKEN

See Also:
  Constant Field Values

### THREAD_IMPERSONATE

    public static final int THREAD_IMPERSONATE

See Also:
  Constant Field Values

### THREAD_DIRECT_IMPERSONATION

    public static final int THREAD_DIRECT_IMPERSONATION

See Also:
  Constant Field Values

### THREAD_SET_LIMITED_INFORMATION

    public static final int THREAD_SET_LIMITED_INFORMATION

See Also:
  Constant Field Values

### THREAD_QUERY_LIMITED_INFORMATION

    public static final int THREAD_QUERY_LIMITED_INFORMATION

See Also:
  Constant Field Values

### THREAD_ALL_ACCESS

    public static final int THREAD_ALL_ACCESS

See Also:
  Constant Field Values

### FILE_LIST_DIRECTORY

    public static final int FILE_LIST_DIRECTORY

See Also:
  Constant Field Values

### CREATE_NEW

    public static final int CREATE_NEW

See Also:
  Constant Field Values

### CREATE_ALWAYS

    public static final int CREATE_ALWAYS

See Also:
  Constant Field Values

### OPEN_EXISTING

    public static final int OPEN_EXISTING

See Also:
  Constant Field Values

### OPEN_ALWAYS

    public static final int OPEN_ALWAYS

See Also:
  Constant Field Values

### TRUNCATE_EXISTING

    public static final int TRUNCATE_EXISTING

See Also:
  Constant Field Values

### FILE_FLAG_WRITE_THROUGH

    public static final int FILE_FLAG_WRITE_THROUGH

See Also:
  Constant Field Values

### FILE_FLAG_OVERLAPPED

    public static final int FILE_FLAG_OVERLAPPED

See Also:
  Constant Field Values

### FILE_FLAG_NO_BUFFERING

    public static final int FILE_FLAG_NO_BUFFERING

See Also:
  Constant Field Values

### FILE_FLAG_RANDOM_ACCESS

    public static final int FILE_FLAG_RANDOM_ACCESS

See Also:
  Constant Field Values

### FILE_FLAG_SEQUENTIAL_SCAN

    public static final int FILE_FLAG_SEQUENTIAL_SCAN

See Also:
  Constant Field Values

### FILE_FLAG_DELETE_ON_CLOSE

    public static final int FILE_FLAG_DELETE_ON_CLOSE

See Also:
  Constant Field Values

### FILE_FLAG_BACKUP_SEMANTICS

    public static final int FILE_FLAG_BACKUP_SEMANTICS

See Also:
  Constant Field Values

### FILE_FLAG_POSIX_SEMANTICS

    public static final int FILE_FLAG_POSIX_SEMANTICS

See Also:
  Constant Field Values

### FILE_FLAG_OPEN_REPARSE_POINT

    public static final int FILE_FLAG_OPEN_REPARSE_POINT

See Also:
  Constant Field Values

### FILE_FLAG_OPEN_NO_RECALL

    public static final int FILE_FLAG_OPEN_NO_RECALL

See Also:
  Constant Field Values

### GENERIC_WRITE

    public static final int GENERIC_WRITE

See Also:
  Constant Field Values

### PAGE_READONLY

    public static final int PAGE_READONLY

See Also:
  Constant Field Values

### PAGE_READWRITE

    public static final int PAGE_READWRITE

See Also:
  Constant Field Values

### PAGE_WRITECOPY

    public static final int PAGE_WRITECOPY

See Also:
  Constant Field Values

### PAGE_EXECUTE

    public static final int PAGE_EXECUTE

See Also:
  Constant Field Values

### PAGE_EXECUTE_READ

    public static final int PAGE_EXECUTE_READ

See Also:
  Constant Field Values

### PAGE_EXECUTE_READWRITE

    public static final int PAGE_EXECUTE_READWRITE

See Also:
  Constant Field Values

### SECTION_QUERY

    public static final int SECTION_QUERY

See Also:
  Constant Field Values

### SECTION_MAP_WRITE

    public static final int SECTION_MAP_WRITE

See Also:
  Constant Field Values

### SECTION_MAP_READ

    public static final int SECTION_MAP_READ

See Also:
  Constant Field Values

### SECTION_MAP_EXECUTE

    public static final int SECTION_MAP_EXECUTE

See Also:
  Constant Field Values

### SECTION_EXTEND_SIZE

    public static final int SECTION_EXTEND_SIZE

See Also:
  Constant Field Values

### FILE_SHARE_READ

    public static final int FILE_SHARE_READ

See Also:
  Constant Field Values

### FILE_SHARE_WRITE

    public static final int FILE_SHARE_WRITE

See Also:
  Constant Field Values

### FILE_SHARE_DELETE

    public static final int FILE_SHARE_DELETE

See Also:
  Constant Field Values

### FILE_ATTRIBUTE_READONLY

    public static final int FILE_ATTRIBUTE_READONLY

See Also:
  Constant Field Values

### FILE_ATTRIBUTE_HIDDEN

    public static final int FILE_ATTRIBUTE_HIDDEN

See Also:
  Constant Field Values

### FILE_ATTRIBUTE_SYSTEM

    public static final int FILE_ATTRIBUTE_SYSTEM

See Also:
  Constant Field Values

### FILE_ATTRIBUTE_DIRECTORY

    public static final int FILE_ATTRIBUTE_DIRECTORY

See Also:
  Constant Field Values

### FILE_ATTRIBUTE_ARCHIVE

    public static final int FILE_ATTRIBUTE_ARCHIVE

See Also:
  Constant Field Values

### FILE_ATTRIBUTE_DEVICE

    public static final int FILE_ATTRIBUTE_DEVICE

See Also:
  Constant Field Values

### FILE_ATTRIBUTE_NORMAL

    public static final int FILE_ATTRIBUTE_NORMAL

See Also:
  Constant Field Values

### FILE_ATTRIBUTE_TEMPORARY

    public static final int FILE_ATTRIBUTE_TEMPORARY

See Also:
  Constant Field Values

### FILE_ATTRIBUTE_SPARSE_FILE

    public static final int FILE_ATTRIBUTE_SPARSE_FILE

See Also:
  Constant Field Values

### FILE_ATTRIBUTE_REPARSE_POINT

    public static final int FILE_ATTRIBUTE_REPARSE_POINT

See Also:
  Constant Field Values

### FILE_ATTRIBUTE_COMPRESSED

    public static final int FILE_ATTRIBUTE_COMPRESSED

See Also:
  Constant Field Values

### FILE_ATTRIBUTE_OFFLINE

    public static final int FILE_ATTRIBUTE_OFFLINE

See Also:
  Constant Field Values

### FILE_ATTRIBUTE_NOT_CONTENT_INDEXED

    public static final int FILE_ATTRIBUTE_NOT_CONTENT_INDEXED

See Also:
  Constant Field Values

### FILE_ATTRIBUTE_ENCRYPTED

    public static final int FILE_ATTRIBUTE_ENCRYPTED

See Also:
  Constant Field Values

### FILE_ATTRIBUTE_VIRTUAL

    public static final int FILE_ATTRIBUTE_VIRTUAL

See Also:
  Constant Field Values

### FILE_NOTIFY_CHANGE_FILE_NAME

    public static final int FILE_NOTIFY_CHANGE_FILE_NAME

See Also:
  Constant Field Values

### FILE_NOTIFY_CHANGE_DIR_NAME

    public static final int FILE_NOTIFY_CHANGE_DIR_NAME

See Also:
  Constant Field Values

### FILE_NOTIFY_CHANGE_NAME

    public static final int FILE_NOTIFY_CHANGE_NAME

See Also:
  Constant Field Values

### FILE_NOTIFY_CHANGE_ATTRIBUTES

    public static final int FILE_NOTIFY_CHANGE_ATTRIBUTES

See Also:
  Constant Field Values

### FILE_NOTIFY_CHANGE_SIZE

    public static final int FILE_NOTIFY_CHANGE_SIZE

See Also:
  Constant Field Values

### FILE_NOTIFY_CHANGE_LAST_WRITE

    public static final int FILE_NOTIFY_CHANGE_LAST_WRITE

See Also:
  Constant Field Values

### FILE_NOTIFY_CHANGE_LAST_ACCESS

    public static final int FILE_NOTIFY_CHANGE_LAST_ACCESS

See Also:
  Constant Field Values

### FILE_NOTIFY_CHANGE_CREATION

    public static final int FILE_NOTIFY_CHANGE_CREATION

See Also:
  Constant Field Values

### FILE_NOTIFY_CHANGE_SECURITY

    public static final int FILE_NOTIFY_CHANGE_SECURITY

See Also:
  Constant Field Values

### FILE_ACTION_ADDED

    public static final int FILE_ACTION_ADDED

See Also:
  Constant Field Values

### FILE_ACTION_REMOVED

    public static final int FILE_ACTION_REMOVED

See Also:
  Constant Field Values

### FILE_ACTION_MODIFIED

    public static final int FILE_ACTION_MODIFIED

See Also:
  Constant Field Values

### FILE_ACTION_RENAMED_OLD_NAME

    public static final int FILE_ACTION_RENAMED_OLD_NAME

See Also:
  Constant Field Values

### FILE_ACTION_RENAMED_NEW_NAME

    public static final int FILE_ACTION_RENAMED_NEW_NAME

See Also:
  Constant Field Values

### FILE_CASE_SENSITIVE_SEARCH

    public static final int FILE_CASE_SENSITIVE_SEARCH

See Also:
  Constant Field Values

### FILE_CASE_PRESERVED_NAMES

    public static final int FILE_CASE_PRESERVED_NAMES

See Also:
  Constant Field Values

### FILE_UNICODE_ON_DISK

    public static final int FILE_UNICODE_ON_DISK

See Also:
  Constant Field Values

### FILE_PERSISTENT_ACLS

    public static final int FILE_PERSISTENT_ACLS

See Also:
  Constant Field Values

### FILE_FILE_COMPRESSION

    public static final int FILE_FILE_COMPRESSION

See Also:
  Constant Field Values

### FILE_VOLUME_QUOTAS

    public static final int FILE_VOLUME_QUOTAS

See Also:
  Constant Field Values

### FILE_SUPPORTS_SPARSE_FILES

    public static final int FILE_SUPPORTS_SPARSE_FILES

See Also:
  Constant Field Values

### FILE_SUPPORTS_REPARSE_POINTS

    public static final int FILE_SUPPORTS_REPARSE_POINTS

See Also:
  Constant Field Values

### FILE_SUPPORTS_REMOTE_STORAGE

    public static final int FILE_SUPPORTS_REMOTE_STORAGE

See Also:
  Constant Field Values

### FILE_VOLUME_IS_COMPRESSED

    public static final int FILE_VOLUME_IS_COMPRESSED

See Also:
  Constant Field Values

### FILE_SUPPORTS_OBJECT_IDS

    public static final int FILE_SUPPORTS_OBJECT_IDS

See Also:
  Constant Field Values

### FILE_SUPPORTS_ENCRYPTION

    public static final int FILE_SUPPORTS_ENCRYPTION

See Also:
  Constant Field Values

### FILE_NAMED_STREAMS

    public static final int FILE_NAMED_STREAMS

See Also:
  Constant Field Values

### FILE_READ_ONLY_VOLUME

    public static final int FILE_READ_ONLY_VOLUME

See Also:
  Constant Field Values

### FILE_SEQUENTIAL_WRITE_ONCE

    public static final int FILE_SEQUENTIAL_WRITE_ONCE

See Also:
  Constant Field Values

### FILE_SUPPORTS_TRANSACTIONS

    public static final int FILE_SUPPORTS_TRANSACTIONS

See Also:
  Constant Field Values

### KEY_QUERY_VALUE

    public static final int KEY_QUERY_VALUE

  Registry options.

  See Also:
    Constant Field Values

### KEY_SET_VALUE

    public static final int KEY_SET_VALUE

See Also:
  Constant Field Values

### KEY_CREATE_SUB_KEY

    public static final int KEY_CREATE_SUB_KEY

See Also:
  Constant Field Values

### KEY_ENUMERATE_SUB_KEYS

    public static final int KEY_ENUMERATE_SUB_KEYS

See Also:
  Constant Field Values

### KEY_NOTIFY

    public static final int KEY_NOTIFY

See Also:
  Constant Field Values

### KEY_CREATE_LINK

    public static final int KEY_CREATE_LINK

See Also:
  Constant Field Values

### KEY_WOW64_32KEY

    public static final int KEY_WOW64_32KEY

See Also:
  Constant Field Values

### KEY_WOW64_64KEY

    public static final int KEY_WOW64_64KEY

See Also:
  Constant Field Values

### KEY_WOW64_RES

    public static final int KEY_WOW64_RES

See Also:
  Constant Field Values

### KEY_READ

    public static final int KEY_READ

See Also:
  Constant Field Values

### KEY_WRITE

    public static final int KEY_WRITE

See Also:
  Constant Field Values

### KEY_EXECUTE

    public static final int KEY_EXECUTE

See Also:
  Constant Field Values

### KEY_ALL_ACCESS

    public static final int KEY_ALL_ACCESS

See Also:
  Constant Field Values

### REG_OPTION_RESERVED

    public static final int REG_OPTION_RESERVED

  Parameter is reserved.

  See Also:
    Constant Field Values

### REG_OPTION_NON_VOLATILE

    public static final int REG_OPTION_NON_VOLATILE

  Key is preserved when system is rebooted.

  See Also:
    Constant Field Values

### REG_OPTION_VOLATILE

    public static final int REG_OPTION_VOLATILE

  Key is not preserved when system is rebooted.

  See Also:
    Constant Field Values

### REG_OPTION_CREATE_LINK

    public static final int REG_OPTION_CREATE_LINK

  Created key is a symbolic link.

  See Also:
    Constant Field Values

### REG_OPTION_BACKUP_RESTORE

    public static final int REG_OPTION_BACKUP_RESTORE

  Open for backup or restore special access rules privilege required.

  See Also:
    Constant Field Values

### REG_OPTION_OPEN_LINK

    public static final int REG_OPTION_OPEN_LINK

  Open symbolic link.

  See Also:
    Constant Field Values

### REG_LEGAL_OPTION

    public static final int REG_LEGAL_OPTION

See Also:
  Constant Field Values

### REG_CREATED_NEW_KEY

    public static final int REG_CREATED_NEW_KEY

  New Registry Key created.

  See Also:
    Constant Field Values

### REG_OPENED_EXISTING_KEY

    public static final int REG_OPENED_EXISTING_KEY

  Existing Key opened.

  See Also:
    Constant Field Values

### REG_STANDARD_FORMAT

    public static final int REG_STANDARD_FORMAT

See Also:
  Constant Field Values

### REG_LATEST_FORMAT

    public static final int REG_LATEST_FORMAT

See Also:
  Constant Field Values

### REG_NO_COMPRESSION

    public static final int REG_NO_COMPRESSION

See Also:
  Constant Field Values

### REG_WHOLE_HIVE_VOLATILE

    public static final int REG_WHOLE_HIVE_VOLATILE

  Restore whole hive volatile.

  See Also:
    Constant Field Values

### REG_REFRESH_HIVE

    public static final int REG_REFRESH_HIVE

  Unwind changes to last flush.

  See Also:
    Constant Field Values

### REG_NO_LAZY_FLUSH

    public static final int REG_NO_LAZY_FLUSH

  Never lazy flush this hive.

  See Also:
    Constant Field Values

### REG_FORCE_RESTORE

    public static final int REG_FORCE_RESTORE

  Force the restore process even when we have open handles on subkeys.

  See Also:
    Constant Field Values

### REG_APP_HIVE

    public static final int REG_APP_HIVE

  Loads the hive visible to the calling process.

  See Also:
    Constant Field Values

### REG_PROCESS_PRIVATE

    public static final int REG_PROCESS_PRIVATE

  Hive cannot be mounted by any other process while in use.

  See Also:
    Constant Field Values

### REG_START_JOURNAL

    public static final int REG_START_JOURNAL

  Starts Hive Journal.

  See Also:
    Constant Field Values

### REG_HIVE_EXACT_FILE_GROWTH

    public static final int REG_HIVE_EXACT_FILE_GROWTH

  Grow hive file in exact 4k increments.

  See Also:
    Constant Field Values

### REG_HIVE_NO_RM

    public static final int REG_HIVE_NO_RM

  No RM is started for this hive = no transactions.

  See Also:
    Constant Field Values

### REG_HIVE_SINGLE_LOG

    public static final int REG_HIVE_SINGLE_LOG

  Legacy single logging is used for this hive.

  See Also:
    Constant Field Values

### REG_FORCE_UNLOAD

    public static final int REG_FORCE_UNLOAD

See Also:
  Constant Field Values

### REG_NOTIFY_CHANGE_NAME

    public static final int REG_NOTIFY_CHANGE_NAME

See Also:
  Constant Field Values

### REG_NOTIFY_CHANGE_ATTRIBUTES

    public static final int REG_NOTIFY_CHANGE_ATTRIBUTES

See Also:
  Constant Field Values

### REG_NOTIFY_CHANGE_LAST_SET

    public static final int REG_NOTIFY_CHANGE_LAST_SET

See Also:
  Constant Field Values

### REG_NOTIFY_CHANGE_SECURITY

    public static final int REG_NOTIFY_CHANGE_SECURITY

See Also:
  Constant Field Values

### REG_LEGAL_CHANGE_FILTER

    public static final int REG_LEGAL_CHANGE_FILTER

See Also:
  Constant Field Values

### REG_NONE

    public static final int REG_NONE

  No value type.

  See Also:
    Constant Field Values

### REG_SZ

    public static final int REG_SZ

  Unicode null-terminated string.

  See Also:
    Constant Field Values

### REG_EXPAND_SZ

    public static final int REG_EXPAND_SZ

  Unicode null-terminated string with environment variable references.

  See Also:
    Constant Field Values

### REG_BINARY

    public static final int REG_BINARY

  Free-formed binary.

  See Also:
    Constant Field Values

### REG_DWORD

    public static final int REG_DWORD

  32-bit number.

  See Also:
    Constant Field Values

### REG_DWORD_LITTLE_ENDIAN

    public static final int REG_DWORD_LITTLE_ENDIAN

  32-bit number, same as REG_DWORD.

  See Also:
    Constant Field Values

### REG_DWORD_BIG_ENDIAN

    public static final int REG_DWORD_BIG_ENDIAN

  32-bit number.

  See Also:
    Constant Field Values

### REG_LINK

    public static final int REG_LINK

  Symbolic link (unicode).

  See Also:
    Constant Field Values

### REG_MULTI_SZ

    public static final int REG_MULTI_SZ

  Multiple unicode strings.

  See Also:
    Constant Field Values

### REG_RESOURCE_LIST

    public static final int REG_RESOURCE_LIST

  Resource list in the resource map.

  See Also:
    Constant Field Values

### REG_FULL_RESOURCE_DESCRIPTOR

    public static final int REG_FULL_RESOURCE_DESCRIPTOR

  Resource list in the hardware description.

  See Also:
    Constant Field Values

### REG_RESOURCE_REQUIREMENTS_LIST

    public static final int REG_RESOURCE_REQUIREMENTS_LIST

See Also:
  Constant Field Values

### REG_QWORD

    public static final int REG_QWORD

  64-bit number.

  See Also:
    Constant Field Values

### REG_QWORD_LITTLE_ENDIAN

    public static final int REG_QWORD_LITTLE_ENDIAN

  64-bit number, same as REG_QWORD.

  See Also:
    Constant Field Values

Constructor Detail

### WinNT

    public WinNT()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD